Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing.simple
Class SimpleProcessor

    java.lang.Object
      rice.environment.processing.simple.SimpleProcessor

All Implemented Interfaces:
  Destructable, Processor

public class SimpleProcessor
extends java.lang.Object
implements Processor

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Constructor Summary
`SimpleProcessor(java.lang.String name)` Constructor for SimpleProcessor.

Method Summary
`void` | `destroy()` DESCRIBE THE METHOD
`WorkQueue` | `getIOQueue()` Gets the IOQueue attribute of the SimpleProcessor object
`ProcessingQueue` | `getQueue()` Gets the Queue attribute of the SimpleProcessor object
`void` | `process(Executable task, Continuation command, SelectorManager selector, TimeSource ts, LogManager log)` Schedules a job for processing on the dedicated processing thread.
`void` | `processBlockingIO(WorkRequest workRequest)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleProcessor

    public SimpleProcessor(java.lang.String name)

  Constructor for SimpleProcessor.

Parameters:
  `name` - DESCRIBE THE PARAMETER

Method Detail

### getQueue

    public ProcessingQueue getQueue()

  Gets the Queue attribute of the SimpleProcessor object

  Returns:
    The Queue value

### getIOQueue

    public WorkQueue getIOQueue()

  Gets the IOQueue attribute of the SimpleProcessor object

  Returns:
    The IOQueue value

### process

    public void process(Executable task,
                        Continuation command,
                        SelectorManager selector,
                        TimeSource ts,
                        LogManager log)

  Schedules a job for processing on the dedicated processing thread. CPU intensive jobs, such as encryption, erasure encoding, or bloom filter creation should never be done in the context of the underlying node's thread, and should only be done via this method.

  Specified by:
    `process` in interface `Processor`
  Parameters:
    `task` - The task to run on the processing thread
    `command` - The command to return the result to once it's done
    `selector` - DESCRIBE THE PARAMETER
    `ts` - DESCRIBE THE PARAMETER
    `log` - DESCRIBE THE PARAMETER

### processBlockingIO

    public void processBlockingIO(WorkRequest workRequest)

  DESCRIBE THE METHOD

  Specified by:
    `processBlockingIO` in interface `Processor`
  Parameters:
    `workRequest` - DESCRIBE THE PARAMETER

### destroy

    public void destroy()

  DESCRIBE THE METHOD

  Specified by:
    `destroy` in interface `Processor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.